Bug 658840 - Add mingw32-matahari to RHEL6.1
Add mingw32-matahari to RHEL6.1
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: mingw32-matahari (Show other bugs)
6.1
Unspecified Unspecified
high Severity medium
: rc
: ---
Assigned To: Andrew Beekhof
wes hayutin
: FutureFeature, TechPreview
Depends On: 658833
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-01 07:57 EST by Andrew Beekhof
Modified: 2016-04-26 11:03 EDT (History)
7 users (show)

See Also:
Fixed In Version: mingw32-matahari-0.4.0-0.3.0b41287.git.el6
Doc Type: Technology Preview
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 09:59:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andrew Beekhof 2010-12-01 07:57:30 EST
Description of problem:

The Cloud BU would like to include a Matahari installer for windows based
guests.
Comment 2 Perry Myers 2010-12-01 09:01:21 EST
See comment https://bugzilla.redhat.com/show_bug.cgi?id=658828#c1

This bugzilla is for the Windows variant of Matahari compiled with the mingw32 toolchain.  Packaging guidelines in Fedora require that mingw32 packages are separate components from their Linux counterparts, hence why two top level SRPM/components are required.
Comment 11 wes hayutin 2011-03-02 10:17:13 EST
fails QE

 rpm -i /mnt/redhat/brewroot/packages/mingw32-matahari/0.4.0/0.2.0b41287.git.el6/noarch/mingw32-matahari-0.4.0-0.2.0b41287.git.el6.noarch.rpm /mnt/redhat/brewroot/packages/matahari/0.4.0/0.30.0b41287.git.el6/i686/matahari-devel-0.4.0-0.30.0b41287.git.el6.i686.rpm /mnt/redhat/brewroot/packages/matahari/0.4.0/0.30.0b41287.git.el6/x86_64/matahari-devel-0.4.0-0.30.0b41287.git.el6.x86_64.rpm /mnt/redhat/brewroot/packages/matahari/0.4.0/0.30.0b41287.git.el6/i686/matahari-0.4.0-0.30.0b41287.git.el6.i686.rpm /mnt/redhat/brewroot/packages/mingw32-matahari/0.4.0/0.2.0b41287.git.el6/noarch/mingw32-matahari-debuginfo-0.4.0-0.2.0b41287.git.el6.noarch.rpm /mnt/redhat/brewroot/packages/matahari/0.4.0/0.30.0b41287.git.el6/x86_64/matahari-debuginfo-0.4.0-0.30.0b41287.git.el6.x86_64.rpm /mnt/redhat/brewroot/packages/matahari/0.4.0/0.30.0b41287.git.el6/x86_64/matahari-broker-0.4.0-0.30.0b41287.git.el6.x86_64.rpm /mnt/redhat/brewroot/packages/matahari/0.4.0/0.30.0b41287.git.el6/x86_64/matahari-0.4.0-0.30.0b41287.git.el6.x86_64.rpm
doRpmCommand-result (2048): error: Failed dependencies:
qmf-devel > 0.7 is needed by matahari-devel-0.4.0-0.30.0b41287.git.el6.i686
qpid-cpp-server-devel > 0.7 is needed by matahari-devel-0.4.0-0.30.0b41287.git.el6.i686
qmf-devel > 0.7 is needed by matahari-devel-0.4.0-0.30.0b41287.git.el6.x86_64
qpid-cpp-server-devel > 0.7 is needed by matahari-devel-0.4.0-0.30.0b41287.git.el6.x86_64
libglib-2.0.so.0 is needed by matahari-0.4.0-0.30.0b41287.git.el6.i686
libpcre.so.0 is needed by matahari-0.4.0-0.30.0b41287.git.el6.i686
libqmf.so.3 is needed by matahari-0.4.0-0.30.0b41287.git.el6.i686
libqpidclient.so.4 is needed by matahari-0.4.0-0.30.0b41287.git.el6.i686
libqpidcommon.so.4 is needed by matahari-0.4.0-0.30.0b41287.git.el6.i686
libqpidtypes.so.0 is needed by matahari-0.4.0-0.30.0b41287.git.el6.i686
libsigar.so is needed by matahari-0.4.0-0.30.0b41287.git.el6.i686
qpid-cpp-server > 0.7 is needed by matahari-broker-0.4.0-0.30.0b41287.git.el6.x86_64
libqmf.so.3()(64bit) is needed by matahari-0.4.0-0.30.0b41287.git.el6.x86_64
libqpidclient.so.4()(64bit) is needed by matahari-0.4.0-0.30.0b41287.git.el6.x86_64
libqpidcommon.so.4()(64bit) is needed by matahari-0.4.0-0.30.0b41287.git.el6.x86_64
libqpidtypes.so.0()(64bit) is needed by matahari-0.4.0-0.30.0b41287.git.el6.x86_64
libsigar.so()(64bit) is needed by matahari-0.4.0-0.30.0b41287.git.el6.x86_64
Comment 12 Dennis Gregorovic 2011-03-02 11:04:52 EST
At least some of those missing dependencies should be available.  For example:

qpid-cpp-server > 0.7 is needed by
matahari-broker-0.4.0-0.30.0b41287.git.el6.x86_64

I see qpid-cpp-server-0.7.946106-13.el6 in the trees.  Maybe try a "yum install" instead of "rpm -i"
Comment 19 Aziza Karol 2011-04-29 08:31:36 EDT
mingw32-matahari is added to RHEL6.1.

Verified on:
[root@dell-pe1950-03 ~]# uname -a
Linux dell-pe1950-03.rhts.englab.brq.redhat.com 2.6.32-131.0.10.el6.x86_64 #1 SMP Wed Apr 27 15:27:19 EDT 2011 x86_64 x86_64 x86_64 GNU/Linux
RHEL6.1-20110428.n.0_nfs-Server-x86_64
mingw32-matahari-0.4.0-5.el6.noarch

[root@dell-pe1950-03 ~]# yum install mingw32-matahari
Loaded plugins: product-id, subscription-manager
Updating Red Hat repositories.
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package mingw32-matahari.noarch 0:0.4.0-5.el6 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================================================================================================
 Package                                   Arch                            Version                              Repository                              Size
=============================================================================================================================================================
Installing:
 mingw32-matahari                          noarch                          0.4.0-5.el6                          beaker-Server                           21 M

Transaction Summary
=============================================================================================================================================================
Install       1 Package(s)

Total download size: 21 M
Installed size: 22 M
Is this ok [y/N]: y
Downloading Packages:
mingw32-matahari-0.4.0-5.el6.noarch.rpm                                                                                               |  21 MB     00:02     
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing : mingw32-matahari-0.4.0-5.el6.noarch                                                                                                       1/1 
duration: 158(ms)
Installed products updated.

Installed:
  mingw32-matahari.noarch 0:0.4.0-5.el6                                                                                                                      

Complete!
Comment 20 errata-xmlrpc 2011-05-19 09:59:10 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0669.html

Note You need to log in before you can comment on or make changes to this bug.